add.observations<- {bnstruct} | R Documentation

## add further evidence to an existing list of observations of an `InferenceEngine`.

### Description

Add a list of observations to an InferenceEngine that already has observations, using a list composed by the two following vectors:

- `observed.vars`vector of observed variables;

- `observed.vals`vector of values observed for the variables in `observed.vars` in the corresponding position.

### Usage

    add.observations(x) <- value

    ## S4 replacement method for signature 'InferenceEngine'
    add.observations(x) <- value

### Arguments

`x` | an `InferenceEngine`.
`value` | the list of observations of the `InferenceEngine`.

### Details

In case of multiple observations of the same variable, the last observation is the one used, as the most recent.

### See Also

`observations<-`

[Package bnstruct version 1.0.6 Index]